Bug 517517 - Package Review: perl-PPIx-EditorTools - Utility methods and base class for manipulating Perl via PPI
Summary: Package Review: perl-PPIx-EditorTools - Utility methods and base class for ma...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-14 13:03 UTC by Marcela Mašláňová
Modified: 2009-08-18 06:00 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-08-18 06:00:07 UTC
panemade: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Marcela Mašláňová 2009-08-14 13:03:47 UTC
Spec URL: http://mmaslano.fedorapeople.org/review/perl-PPIx-EditorTools.spec
SRPM URL: http://mmaslano.fedorapeople.org/review/perl-PPIx-EditorTools-0.07-1.fc11.src.rpm
Description: Base class and utility methods for manipulating Perl via PPI. Pulled out from the Padre::Task::PPI code.
Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=1605092

Comment 1 Parag AN(पराग) 2009-08-14 13:24:31 UTC
Review:
+ package builds in mock (rawhide i686).
koji Build =>http://koji.fedoraproject.org/koji/taskinfo?taskID=1605092
- rpmlint output for RPM and SRPM.
perl-PPIx-EditorTools.src: W: mixed-use-of-spaces-and-tabs (spaces: line 1, tab: line 14)
==> can be fixed using " sed -i -e 's|\t| |g' perl-PPIx-EditorTools.spec"
+ source files match upstream url
f9c74ff5642577e5369bac6375ffa06fa51998ba  PPIx-EditorTools-0.07.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test gave
All tests successful.
Files=7, Tests=33,  1 wallclock secs ( 0.04 usr  0.01 sys +  0.89 cusr  0.09 csys =  1.03 CPU)

+ Package  perl-PPIx-EditorTools-0.07-1.fc12.noarch =>
Provides: perl(PPIx::EditorTools) = 0.07 perl(PPIx::EditorTools::FindUnmatchedBrace) = 0.07 perl(PPIx::EditorTools::FindVariableDeclaration) = 0.07 perl(PPIx::EditorTools::IntroduceTemporaryVariable) = 0.07 perl(PPIx::EditorTools::RenamePackage) = 0.07 perl(PPIx::EditorTools::RenamePackageFromPath) = 0.07 perl(PPIx::EditorTools::RenameVariable) = 0.07 perl(PPIx::EditorTools::ReturnObject) = 0.07

Requires: perl >= 0:5.008 perl(Carp) perl(Class::XSAccessor) perl(Class::XSAccessor) >= 1.02 perl(File::Basename) perl(File::Spec) perl(PPI) perl(PPI) >= 1.203 perl(PPIx::EditorTools::RenamePackage) perl(PPIx::EditorTools::ReturnObject) perl(base) perl(strict) perl(warnings)

APPROVED.

Comment 2 Marcela Mašláňová 2009-08-17 06:45:30 UTC
Thank you very much for all your reviews in short time.

Comment 3 Marcela Mašláňová 2009-08-17 06:46:08 UTC
New Package CVS Request
=======================
Package Name: perl-PPIx-EditorTools
Short Description: Utility methods and base class for manipulating Perl via PPI
Owners: mmaslano
InitialCC: perl-sig

Comment 4 Kevin Fenzi 2009-08-17 18:15:01 UTC
cvs done.


Note You need to log in before you can comment on or make changes to this bug.